Last modified: 2014-01-03 16:09:21 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36325 - Direction (ltr/rtl) of feedback comments may be different from the direction of the interface language
Direction (ltr/rtl) of feedback comments may be different from the direction ...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
ArticleFeedbackv5 (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Matthias Mullie
: i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2012-04-28 20:09 UTC by Amir E. Aharoni
Modified: 2014-01-03 16:09 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-04-28 20:09:02 UTC
When the direction of the interface language is different from the direction of the site content, the feedback comments will likely appear with incorrect direction. I refer to the <blockquote> in which there is a <span> with class="articleFeedbackv5-comment-short".

This scenario is rare, but possible.

There are several possible solutions:

1. Apply dir="auto" to the <blockquote>. It will work only in Gecko and Webkit and it will work incorrectly in some cases, but should be more flexible.

2. Apply the direction of the site's language to the <blockquote>. This will work in all browsers, but may be incorrect if the comment was written in a language, the directionality of which is different from the directionality of the site.
Comment 1 Gerrit Notification Bot 2013-05-08 12:32:06 UTC
Related URL: https://gerrit.wikimedia.org/r/62807 (Gerrit Change Ifd7c812637bd31e1bbb5784969030fa403efb22f)
Comment 2 Andre Klapper 2013-07-23 08:56:20 UTC
Amir: Could you review Matthias' one-liner patch in Gerrit?
Comment 3 Andre Klapper 2013-10-18 19:09:16 UTC
Amir: Could you review Matthias' one-liner patch in Gerrit?
Comment 4 Andre Klapper 2013-11-19 16:57:33 UTC
Amir: Could you review Matthias' one-liner patch in Gerrit?
Comment 5 Gerrit Notification Bot 2013-12-15 16:05:50 UTC
Change 62807 merged by jenkins-bot:
(bug 36325) Direction (ltr/rtl) of feedback comments may be different from the direction of the interface language

https://gerrit.wikimedia.org/r/62807

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links